Bug 742837 - (CVE-2011-4339) CVE-2011-4339 OpenIPMI: IPMI event daemon creates PID file with world writeable permissions
CVE-2011-4339 OpenIPMI: IPMI event daemon creates PID file with world writeab...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111213,repor...
: Patch, Reopened, Security
Depends On: 756684 756685 767049 834190
Blocks: 753218 816611
  Show dependency treegraph
 
Reported: 2011-10-03 00:03 EDT by Masahiro Matsuya
Modified: 2015-07-31 10:41 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 04:10:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch to remove umask(0) (373 bytes, patch)
2011-10-03 00:03 EDT, Masahiro Matsuya
no flags Details | Diff

  None (edit)
Comment 3 Jan Lieskovsky 2011-11-11 09:14:04 EST
A insecure file permissions flaw was found in the way IPMI event daemon of the  OpenIPMI (Intelligent Platform Management Interface) library and tools created its PID file (it was created with 0666 permissions). A local user could use this flaw to kill arbitrary running process during ipmievd service shutdown.
Comment 5 Jan Lieskovsky 2011-11-11 10:48:08 EST
This issue did NOT affect the version of the OpenIPMI package, as shipped with Red Hat Enterprise Linux 4.

--

This issue did NOT affect the version of the OpenIPMI package, as shipped with Red Hat Enterprise Linux 5 in the default configuration. Though custom configurations of the ipmievd daemon (those using /var/run/ipmievd.pid as a PID file) are affected by this issue too.

--

This issue affects the versions of the ipmitool package, as shipped with Red Hat Enterprise Linux 6.

--

This issue did NOT affect the versions of the ipmitool package, as shipped with Fedora release of 14, 15, and 16 in the default configuration. Though custom configurations of the ipmievd daemon (those using /var/run/ipmievd.pid as a PID file) are affected by this issue too.
Comment 10 Huzaifa S. Sidhpurwala 2011-11-23 04:42:39 EST
Jan,

Hi, could you please look at the patch and let me know if you are ok with it?
Comment 11 Jan Safranek 2011-11-23 05:00:55 EST
(In reply to comment #10)
> Hi, could you please look at the patch and let me know if you are ok with it?

Yes, the patch is fine.
Comment 23 Huzaifa S. Sidhpurwala 2011-12-12 22:55:46 EST
Created ipmitool tracking bugs for this issue

Affects: fedora-all [bug 767049]
Comment 24 errata-xmlrpc 2011-12-13 16:08:43 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1814 https://rhn.redhat.com/errata/RHSA-2011-1814.html
Comment 26 Fedora Update System 2012-01-02 16:55:53 EST
ipmitool-1.8.11-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2012-01-02 16:56:28 EST
ipmitool-1.8.11-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 errata-xmlrpc 2013-01-07 23:52:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0123 https://rhn.redhat.com/errata/RHSA-2013-0123.html
Comment 34 Huzaifa S. Sidhpurwala 2013-01-08 04:10:07 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.